Skip to contentSkip to navigationSkip to topbar
Page toolsOn this page
Looking for more inspiration?Visit the

Bulk Delete Single Sends


API Overview

api-overview page anchor

Twilio calls a one-time, non-automated email message delivered to a list or segment of your audience a Single Send. You can send such messages immediately or scheduled for future delivery. Single Sends can deliver promotional offers, engagement campaigns, newsletters, announcements, legal notices, or policy updates. The Single Sends API lets you create, retrieve, update, delete, schedule, and search for Single Sends. Another API endpoint provides campaign statistics. The SendGrid Knowledge Center explains the latest updates to the Single Sends API.


DELETE/v3/marketing/singlesends

Base url: https://api.sendgrid.com (The Twilio SendGrid v3 API)

This endpoint allows you to delete multiple Single Sends using an array of Single Sends IDs.

To first retrieve all your Single Sends' IDs, you can make a GET request to the /marketing/singlensends endpoint.

Please note that a DELETE request is permanent, and your Single Sends will not be recoverable after deletion.


Authentication

authentication page anchor
Property nameTypeRequiredDescription
Authorizationstring
required
Default: Bearer <<YOUR_API_KEY_HERE>>
Property nameTypeRequiredDescription
idsarray[string]

Optional

Single Send IDs to delete

Min items: 1Max items: 50
204404500
No response body.
Bulk Delete Single SendsLink to code sample: Bulk Delete Single Sends
1
const client = require("@sendgrid/client");
2
client.setApiKey(process.env.SENDGRID_API_KEY);
3
4
const request = {
5
url: `/v3/marketing/singlesends`,
6
method: "DELETE",
7
};
8
9
client
10
.request(request)
11
.then(([response, body]) => {
12
console.log(response.statusCode);
13
console.log(response.body);
14
})
15
.catch((error) => {
16
console.error(error);
17
});